## python-trinity-trinity 3.5.13.2

=== debian/changelog ===
python-trinity-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 08:36:50 +0200

python-trinity-trinity (3.16.3-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 16 Oct 2009 14:47:00 -0600

python-trinity-trinity (3.16.3-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

python-trinity-trinity (3.16.2-0ubuntu1) jaunty; urgency=low

  * Jaunty rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 23 April 2009 13:02:00 -0600

python-trinity (3.16.2-0ubuntu1) jaunty; urgency=low

  [ Matthias Klose ]
  * Build for python2.6.

  [ William Grant ]
  * New upstream version. Fixes FTBFS. (LP: #333457)

 -- William Grant <wgrant@ubuntu.com>  Mon, 09 Mar 2009 09:04:22 +1100

python-trinity (3.16.1-1ubuntu2) intrepid; urgency=low

  * Actually include the fix for (LP: #229845) I claimed was in the last
    upload

 -- Scott Kitterman <scott@kitterman.com>  Sat, 13 Sep 2008 16:23:41 -0400

python-trinity (3.16.1-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add kubuntu_04_kdepyuic_i18n.dpatch:
      - kdepyuic now has a useKDEi18n cmdline option, set
        to TRUE by default, so that .py files generated from
        .ui files are using i18n by default.
      - fixes long options parsing, using a list of string
        instead of a long string
      - Patch by Stephan Hermann <sh@sourcecode.de>
    - Build-dep on python-sip4
  * Update debian/rules to move kdeconfig files from
    /usr/lib/python-2.*/site-packages to /usr/lib/python2.4/site-packages so it
    is in the normal path (LP: #229845)
  * Dropped kubuntu_03_konsole_setpty and konsole depends since the new
    version no longer needs them

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jun 2008 22:11:32 -0400

python-trinity (3.16.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Sandro Tosi ]
  * debian/watch
    - added missing file
  * debian/control
    - uniforming Vcs-Browser field
    - bump Standard-Version to 3.7.3
    - capitalized Python in -dbg package description
    - removed Debian revision from versioned build-dep on libqt3-mt-dev,
      qt3-apps-dev, qt3-dev-tools
  * debian/rules
    - fixed destination dir for -dev package (Closes: #446904)
  * debian/copyright
    - clear separation of copyright and license notice
    - copyright and license indented with 4 spaces
    - added upstream authors notice

  [ Torsten Marek ]
  * New upstream release 3.16.1.
  * Included patch to dcopext.py handling 
    DCOPObj.objmethods being None (Closes: #468248).
  * Patched dcopext.py to handle strings with non-ASCII 
    characters (Closes: #452443).
  * Dropped 03-sip-4.7.dpatch, is now included upstream.
  * debian/control
    - removed dependency on konsole, because the bindings
      for the konsole KPart have been removed.
  * debian/rules
    - compress debs using bzip2 to reduce the size
      of the debug packages.

 -- Torsten Marek <shlomme@debian.org>  Tue, 11 Mar 2008 01:42:08 +0100

python-trinity (3.16.0-4ubuntu3) hardy; urgency=low

  * Remove build-dep on python-qt3 - No longer needed because pyqtconfig is
    back in python-qt-dev (LP: #197867)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Mar 2008 16:46:05 -0400

python-trinity (3.16.0-4ubuntu2) hardy; urgency=low

  * Add kubuntu_04_kdepyuic_i18n.dpatch:
    - kdepyuic now has a useKDEi18n cmdline option, set
      to TRUE by default, so that .py files generated from
      .ui files are using i18n by default.
    - fixes long options parsing, using a list of string
      instead of a long string
    - Patch by Stephan Hermann <sh@sourcecode.de>

 -- Anthony Mercatante <tonio@kubuntu>  Thu, 03 Jan 2008 22:40:39 +0100

python-trinity (3.16.0-4ubuntu1) hardy; urgency=low

  * Merge with debian, remaining change:
   - kubuntu_03_konsole_setpty.dpatch patch for setpty() support
  * Build-dep on python-sip4
  * Build-dep on python-qt3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Nov 2007 18:24:06 +0000

python-trinity (3.16.0-4) unstable; urgency=low

  [ Piotr Ożarowski ]
  * XS-Vcs-Svn, XS-Vcs-Browser and Homepage fields added

  [ Torsten Marek ]
  * Added dependency on konsole (Closes: #443819)

 -- Torsten Marek <shlomme@debian.org>  Mon, 01 Oct 2007 01:37:23 +0200

python-trinity (3.16.0-3) unstable; urgency=low

  * Merge with Ubuntu:
  * Unable Konsole bindings.
  * Build debug modules, but only for the default Python version 
    to keep the size sane. Debug symbols are left out as well.
  * Adopt DCOP patch from Ubuntu.
  * Better debian/rules file.

 -- Torsten Marek <shlomme@debian.org>  Sun, 16 Sep 2007 13:57:44 +0200

python-trinity (3.16.0-2) unstable; urgency=low

  * Include dcopext.py and dcopexport.py. (Closes: #440633)
  * Add DPMT to uploaders field.

 -- Torsten Marek <shlomme@debian.org>  Mon, 03 Sep 2007 21:27:42 +0200

python-trinity (3.16.0-1) unstable; urgency=low

  * New upstream release. (Closes: #427285, #440028)
  * Rename method that is also a Python keyword. (Closes: #407894)

 -- Torsten Marek <shlomme@debian.org>  Sun, 12 Aug 2007 13:03:11 +0200

python-trinity (3.15.2+20060422-4) unstable; urgency=low

  * Build with sip 4.5 / PyQt 3.17

 -- Torsten Marek <shlomme@debian.org>  Wed,  6 Dec 2006 19:18:30 +0100

python-trinity (3.16.0-0ubuntu14) gutsy; urgency=low

  * Split C++ sources in more parts when building with GCC-4.[23].

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Aug 2007 22:12:01 +0200

python-trinity (3.16.0-0ubuntu13) gutsy; urgency=low

  * debian/control: changed the python-trinity-dev depends;
    python-trinity-dev depends on python-trinity now.

 -- Martin Böhm <martin.bohm@kubuntu.org>  Mon, 06 Aug 2007 13:56:05 +0200


