=== debian/control ===
Source: python-trinity-trinity
Section: python
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Ricardo Javier Cardenes Medina <rcardenes@debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.38), quilt, libtqtinterface-dev, python, python-all-dev, python-all-dbg, sip4 (>= 4.10), python-sip4-dev (>= 4.10), python-qt-dev (>= 3.18), kdelibs4-trinity-dev, python-central (>= 0.6.11), python-sip4, python-sip4-dbg, python-sip4-dev
Standards-Version: 3.8.4
Homepage: http://www.riverbankcomputing.co.uk/pykde/index.php
XS-Python-Version: all

Package: python-trinity-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-qt3 (>= 3.18)
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Conflicts: python-trinity-trinity
Description: Trinity bindings for Python [Trinity]
 Python binding module that provides wide access to the Trinity API,
 also known as PyKDE. Using this, you'll get (for example) classes
 from kio, kjs, khtml and kprint.

Package: python-trinity-trinity-dbg
Priority: extra
Architecture: any
Depends: python-trinity-trinity (= ${binary:Version}), python-dbg, python-qt3-dbg, ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: Trinity bindings for Python (debug extensions) [Trinity]
 Python binding module that provides wide access to the Trinity API,
 also known as PyKDE. Using this, you'll get (for example) classes
 from kio, kjs, khtml and kprint.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-trinity-trinity-dev
Section: python
Architecture: all
Depends: pyqt-tools, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: Trinity bindings for Python - Development files and scripts [Trinity]
 Development .sip files with definitions of PyKDE classes. They
 are needed to build PyKDE, but also as building blocks of other
 packages based on them. 
 The package also contains kdepyuic, a wrapper script around PyQt's 
 user interface compiler.

Package: python-trinity-trinity-doc
Section: doc
Architecture: all
Description: Documentation and examples for PyKDE [Trinity]
 General documentation and examples for PyKDE providing programming
 tips and working code you can use to learn from.
